## org.gnu.glib
Class Quark

    java.lang.Object
      org.gnu.glib.Quark

public class Quark
extends java.lang.Object

A Quark is an association between a String and an integer identifier. Given either the String or the Quark it is possible to retrieve the other. This object is used primarily inside of the bindings. The external interface should use a standard Java type like Property.

Constructor Summary
`Quark(int handle)` This is the method that allows one to construct a Quark once a native peer has been provided.
`Quark(java.lang.String string)` Create a Quark object.

Method Summary
`static Quark` `findQuark(java.lang.String string)` Find a Quark that is associated with the given string.
`int` `getHandle()`
`java.lang.String` `getString()` Retrieve the string value associated with this Quark.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Quark

    public Quark(java.lang.String string)

  Create a Quark object.

Parameters:
  `string` - The string value associated with this Quark.

### Quark

    public Quark(int handle)

  This is the method that allows one to construct a Quark once a native peer has been provided.

Parameters:
  `handle` - The native peer that was returned from a call to the native libraries.

Method Detail

### getString

    public final java.lang.String getString()

  Retrieve the string value associated with this Quark.

  Returns:
    The string value

### findQuark

    public static final Quark findQuark(java.lang.String string)

  Find a Quark that is associated with the given string. If one is not found a null value is returned.

  Parameters:
    `string` - The string value to use for the search
  Returns:
    The Quark value associated with the string or null if one is not found.

### getHandle

    public int getHandle()